Skip to main content
GET
/
v1
/
products
List Products
curl --request GET \
  --url https://api.example.com/v1/products
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "item_id": "<string>",
      "sku": "<string>",
      "product_id": "<string>",
      "product_name": "<string>",
      "product_group": "<string>",
      "manufacturer": "<string>",
      "brand": "<string>",
      "status": "<string>",
      "product_type": "<string>",
      "barcode": "<string>",
      "stock_on_hand": "<string>",
      "category_1": "<string>",
      "category_2": "<string>",
      "category_3": "<string>",
      "category_4": "<string>",
      "category_5": "<string>",
      "image_url": "<string>",
      "product_url": "<string>",
      "rrp": "<string>",
      "regular_price": "<string>",
      "product_created_date": "2023-12-25",
      "price_effective_date": "2023-12-25",
      "cost_effective_date": "2023-12-25",
      "size": "<string>",
      "color": "<string>",
      "uom": "<string>",
      "tax_rate": "<string>",
      "currency": "<string>",
      "sku_name": "<string>",
      "current_price": "<string>",
      "unit_cost": "<string>",
      "custom_fields": {}
    }
  ],
  "next_cursor": "<string>"
}

Query Parameters

limit
integer
default:100
Required range: 1 <= x <= 1000
cursor
string | null
updated_since
string | null

Response

Successful Response

items
ProductExport · object[]
next_cursor
string | null